scsi_adjust_queue_depth
Prev | drivers/scsi/scsi.c | Next

## Name

scsi_adjust_queue_depth — Let low level drivers change a device's queue depth

## Synopsis

`void scsi_adjust_queue_depth (` | struct scsi_device * | sdev,
| int | tagged,
| int | tags`)`;

## Arguments

`sdev`

  SCSI Device in question

`tagged`

  Do we use tagged queueing (non-0) or do we treat this device as an untagged device (0)

`tags`

  Number of tags allowed if tagged queueing enabled, or number of commands the low level driver can queue up in non-tagged mode (as per cmd_per_lun).

## Returns

Nothing

## Lock Status

None held on entry

## Notes

Low level drivers may call this at any time and we will do the right thing depending on whether or not the device is currently active and whether or not it even has the command blocks built yet.

Prev | Up | Next
scsi_finish_command | Home | scsi_track_queue_full